<% @Page Language="C#" %>
<% @Import Namespace="System.IO" %>
<% @Import Namespace="System.Text" %>
<html>
<head>
	<title>File upload in ASP.NET</title>
</head>
<body bgcolor="#ffffff" style="font:8pt verdana;">
<script language="C#" runat="server">
void btnUploadTheFile_Click(object Source, EventArgs evArgs) 
{
	if (null != uplTheFile.PostedFile) 
	{
		try 
		{
			const int BUFFER_SIZE = 255;
			int nBytesRead = 0;
			Byte[] Buffer = new Byte[BUFFER_SIZE];
			StringBuilder strUploadedContent = new StringBuilder("");
			
			Stream theStream = uplTheFile.PostedFile.InputStream;
			nBytesRead = theStream.Read(Buffer, 0, BUFFER_SIZE);
			
			while (0 != nBytesRead)
			{
				strUploadedContent.Append(Encoding.ASCII.GetString(Buffer,0,nBytesRead));
				nBytesRead = theStream.Read(Buffer,0,BUFFER_SIZE);
			}
			
			txtOutput.InnerHtml = Server.HtmlEncode(strUploadedContent.ToString());
		}
		catch (Exception e) 
		{
			txtOutput.InnerHtml = "Error saving <b>" + 
				uplTheFile.PostedFile.FileName + "</b><br>"+ e.ToString();
		}
	}
}
</script>

<table>
<form enctype="multipart/form-data" runat="server">
<tr>
  <td>Select file:</td>
  <td><input id="uplTheFile" type=file runat="server"></td>
</tr>
<tr>
  <td colspan="2">
  <input type=button id="btnUploadTheFile" value="Upload" 
                    OnServerClick="btnUploadTheFile_Click" runat="server">
  </td>
</tr>
</form>
</table>
    
<span id=txtOutput style="font: 8pt verdana;" runat="server" />

</body>
</html>

